  SUBROUTINE dealloc_inter

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE dealloc_inter  ***
!&E
!&E ** Purpose :
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !
!&E
!&E---------------------------------------------------------------------
!! * Modules used
   USE comvars2d,   ONLY: l_modele2d
   USE comcolig2d,  ONLY: dealloc_comcolig2d

   USE comcolig_mpi,ONLY: dealloc_comcolig_mpi

   USE comcolig3d,  ONLY: dealloc_comcolig3d
   USE cometemp,    ONLY: dealloc_cometemp_afterstep

!! * Arguments

!! * Local declarations

!!----------------------------------------------------------------------
!! * Executable part
   CALL dealloc_comcolig2d

   CALL dealloc_comcolig_mpi

   CALL dealloc_cometemp_afterstep
   IF(.NOT.l_modele2d) CALL dealloc_comcolig3d

  END SUBROUTINE dealloc_inter
